**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/22.3/documents/document-renditions/download-document-version-rendition-file.md

# Download Document Version Rendition File



Download a rendition for a specified version of a document.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/renditions/{rendition_type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `protectedRendition` | If your Vault is configured to use protected renditions, set to `false` to download the non-protected rendition. If omitted, defaults to `true`. You must have the *Download Non-Protected Rendition* permission to download non-protected renditions. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/0/renditions/viewable_rendition__v > file

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault retrieves the file associated with the given renditions type for the specified document version. The HTTP Response Header `Content-Type` is set to `application/octet-stream`.



---

**Previous:** [Download Document Rendition File](/vault-api/api-reference/22.3/documents/document-renditions/download-document-rendition-file)  
**Next:** [Add Multiple Document Renditions](/vault-api/api-reference/22.3/documents/document-renditions/add-multiple-document-renditions)